@if (poiId) {
  <div *transloco="let t" class="ion-page">
    <ion-header>
      <lib-custom-modal-header
        (closeClick)="close()"
        (backNavigationClick)="pop()"
        [title]="(parking$ | async)?.area?.displayName ?? t(pageTitleKey)"
        class="modal-header"
      ></lib-custom-modal-header>
    </ion-header>

    <ion-content class="content">
      <ion-grid class="content-wrapper ion-no-padding flex-list-minor">
        <ng-container *ngIf="error">
          <lib-connectivity-error-handling-card
            [show]="error"
            [title]="t('feature_parking.connectivity-error.title_details')"
          ></lib-connectivity-error-handling-card>
        </ng-container>

        <div
          *ngIf="(parking$ | async) === null && !error"
          class="flex-list-minor flex-list-minor"
        >
          <ion-skeleton-text
            [animated]="true"
            style="width: 120px; height: 35px"
          ></ion-skeleton-text>
          <div class="parking-type">
            <ion-skeleton-text
              [animated]="true"
              style="width: 25px; height: 16px"
            ></ion-skeleton-text>
            <ion-skeleton-text
              [animated]="true"
              style="width: 100px; height: 16px"
            ></ion-skeleton-text>
          </div>
          <div class="flex-list-small">
            <div class="top-row">
              <ion-skeleton-text
                [animated]="true"
                style="width: 100px; height: 20px"
              ></ion-skeleton-text>
            </div>
            <ion-skeleton-text
              [animated]="true"
              style="width: 200px; height: 24px; margin-top: 10px"
            ></ion-skeleton-text>
          </div>
          <div class="action-button-bar">
            <ion-skeleton-text
              [animated]="true"
              style="width: 100px; height: 30px"
            ></ion-skeleton-text>
            <ion-skeleton-text
              [animated]="true"
              style="width: 100px; height: 30px; margin-left: 10px"
            ></ion-skeleton-text>
          </div>
        </div>

        <ng-container *ngIf="parking$ | async as parking">
          <div
            aria-atomic="true"
            aria-live="polite"
            class="flex-list-minor flex-container"
          >
            <h1 class="title">{{ parking.area.displayName }}</h1>
            <div class="parking-type">
              <lib-general-icon
                [name]="parking.parkingIcon"
                [size]="iconFontSize.small"
                [type]="iconType.materialSymbolsOutlined"
              ></lib-general-icon>
              <p class="icon-display-name">
                {{ t(parking.parkingTypeTranslationKey) }}
              </p>
            </div>

            <div class="flex-list-small">
              <p class="distance" *ngIf="parking.distance">
                {{ parking.distance | distanceFormat }}
              </p>
              <lib-parking-badge-container
                [parking]="parking.area"
              ></lib-parking-badge-container>
            </div>

            <div class="action-button-bar">
              <lib-custom-selectable-icon-text-button
                icon="favorite_border"
                [text]="t('feature_parking.dashboard.favorite')"
                [selected]="(isFavoriteParking$ | async) || false"
                [applySelectionStyle]="true"
                (selectedChange)="toggleFavorite()"
              >
              </lib-custom-selectable-icon-text-button>

              <lib-custom-selectable-icon-text-button
                icon="directions"
                [text]="t('feature_parking.dashboard.navigate')"
                [selected]="false"
                [applySelectionStyle]="true"
                (selectedChange)="openMaps()"
              >
              </lib-custom-selectable-icon-text-button>
            </div>

            <div class="flex-list-minor details-modal">
              <p class="text-header">
                {{ t('feature_parking.details_page.opening_times') }}
              </p>
              <lib-opening-times
                [openAllWeek]="parking.area.openAllWeek"
                [openingTimes]="parking.area.openingHours"
                [specialOpeningTimes]="parking.area.specialOpeningHours ?? {}"
              ></lib-opening-times>
            </div>

            <div class="flex-list-lines">
              <p class="text-header">
                {{ t('feature_parking.details_page.price') }}
              </p>
              <p class="text">
                {{ parking.getLocalizedPriceWithLineBreaks(currentLanguage) }}
              </p>
            </div>

            <div
              class="flex-list-lines"
              *ngIf="
                parking.area.description || parking.area.maximumAllowedHeight
              "
            >
              <p class="text-header">
                {{ t('feature_parking.details_page.further_information') }}
              </p>
              <p class="text" *ngIf="parking.area.maximumAllowedHeight">
                {{ parking.area.maximumAllowedHeight }}
                {{ t('feature_parking.details_page.entrance_height') }}
              </p>
              <p
                *ngIf="parking.getLocalizedDescription(currentLanguage)"
                [ngClass]="{ 'margin-top': parking.area.maximumAllowedHeight }"
                class="text description"
              >
                {{ parking.getLocalizedDescription(currentLanguage) }}
              </p>
            </div>

            <div class="flex-list-lines">
              <p class="text-header">
                {{ t('feature_parking.details_page.address') }}
              </p>
              <div class="text">
                <p lang="de">{{ parking.area.address.street }},</p>
                <p lang="de">
                  {{ parking.area.address.city }}
                  {{ parking.area.address.postalCode }}
                </p>
              </div>
            </div>
          </div>
        </ng-container>
      </ion-grid>
    </ion-content>
  </div>
} @else {
  <lib-condensed-header-layout
    [useMaximumBackground]="true"
    [pageTitle]="(parking$ | async)?.area?.displayName ?? t(pageTitleKey)"
    class="ion-page"
    *transloco="let t"
  >
    <ion-grid class="ion-no-padding flex-list-minor">
      <ng-container *ngIf="error">
        <lib-connectivity-error-handling-card
          [show]="error"
          [title]="t('feature_parking.connectivity-error.title_details')"
        ></lib-connectivity-error-handling-card>
      </ng-container>

      <div
        *ngIf="(parking$ | async) === null && !error"
        class="flex-list-minor flex-list-minor"
      >
        <ion-skeleton-text
          [animated]="true"
          style="width: 120px; height: 35px"
        ></ion-skeleton-text>
        <div class="parking-type">
          <ion-skeleton-text
            [animated]="true"
            style="width: 25px; height: 16px"
          ></ion-skeleton-text>
          <ion-skeleton-text
            [animated]="true"
            style="width: 100px; height: 16px"
          ></ion-skeleton-text>
        </div>
        <div class="flex-list-small">
          <div class="top-row">
            <ion-skeleton-text
              [animated]="true"
              style="width: 100px; height: 20px"
            ></ion-skeleton-text>
          </div>
          <ion-skeleton-text
            [animated]="true"
            style="width: 200px; height: 24px; margin-top: 10px"
          ></ion-skeleton-text>
        </div>
        <div class="action-button-bar">
          <ion-skeleton-text
            [animated]="true"
            style="width: 100px; height: 30px"
          ></ion-skeleton-text>
          <ion-skeleton-text
            [animated]="true"
            style="width: 100px; height: 30px; margin-left: 10px"
          ></ion-skeleton-text>
        </div>
      </div>

      <ng-container *ngIf="parking$ | async as parking">
        <div
          aria-atomic="true"
          aria-live="polite"
          class="flex-list-minor flex-container"
        >
          <div class="parking-type">
            <lib-general-icon
              [name]="parking.parkingIcon"
              [size]="iconFontSize.small"
              [type]="iconType.materialSymbolsOutlined"
            ></lib-general-icon>
            <p class="icon-display-name">
              {{ t(parking.parkingTypeTranslationKey) }}
            </p>
          </div>

          <div class="flex-list-small">
            <p class="distance" *ngIf="parking.distance">
              {{ parking.distance | distanceFormat }}
            </p>
            <lib-parking-badge-container
              [parking]="parking.area"
            ></lib-parking-badge-container>
          </div>

          <div class="action-button-bar">
            <lib-custom-selectable-icon-text-button
              icon="favorite_border"
              [text]="t('feature_parking.dashboard.favorite')"
              [selected]="(isFavoriteParking$ | async) || false"
              [applySelectionStyle]="true"
              (selectedChange)="toggleFavorite()"
            >
            </lib-custom-selectable-icon-text-button>

            <lib-custom-selectable-icon-text-button
              icon="directions"
              [text]="t('feature_parking.dashboard.navigate')"
              [selected]="false"
              [applySelectionStyle]="true"
              (selectedChange)="openMaps()"
            >
            </lib-custom-selectable-icon-text-button>
          </div>

          <div class="flex-list-minor">
            <p class="text-header">
              {{ t('feature_parking.details_page.opening_times') }}
            </p>
            <lib-opening-times
              [openAllWeek]="parking.area.openAllWeek"
              [openingTimes]="parking.area.openingHours"
              [specialOpeningTimes]="parking.area.specialOpeningHours ?? {}"
            ></lib-opening-times>
          </div>

          <div class="flex-list-lines">
            <p class="text-header">
              {{ t('feature_parking.details_page.price') }}
            </p>
            <p class="text">
              {{ parking.getLocalizedPriceWithLineBreaks(currentLanguage) }}
            </p>
          </div>

          <div
            class="flex-list-lines"
            *ngIf="
              parking.area.description || parking.area.maximumAllowedHeight
            "
          >
            <p class="text-header">
              {{ t('feature_parking.details_page.further_information') }}
            </p>
            <p class="text" *ngIf="parking.area.maximumAllowedHeight">
              {{ parking.area.maximumAllowedHeight }}
              {{ t('feature_parking.details_page.entrance_height') }}
            </p>
            <p
              *ngIf="parking.getLocalizedDescription(currentLanguage)"
              [ngClass]="{ 'margin-top': parking.area.maximumAllowedHeight }"
              class="text description"
            >
              {{ parking.getLocalizedDescription(currentLanguage) }}
            </p>
          </div>

          <div class="flex-list-lines">
            <p class="text-header">
              {{ t('feature_parking.details_page.address') }}
            </p>
            <div class="text">
              <p lang="de">{{ parking.area.address.street }},</p>
              <p lang="de">
                {{ parking.area.address.city }}
                {{ parking.area.address.postalCode }}
              </p>
            </div>
          </div>
        </div>
      </ng-container>
    </ion-grid>
  </lib-condensed-header-layout>
}
